org.apache.sling.hc.junitbridge

## Class HealthCheckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.sling.hc.junitbridge.HealthCheckTest

All Implemented Interfaces:
  junit.framework.Test

    public class HealthCheckTest
    extends junit.framework.TestCase

### Method Summary

Methods
`String` `getName()`
`void` `testHealthCheck()` Execute our health check and dump its log messages > INFO if it fails

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, run, run, runBare, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

Overrides:
  `getName` in class `junit.framework.TestCase`

#### testHealthCheck

    public void testHealthCheck()

Execute our health check and dump its log messages > INFO if it fails